﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.801
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public    fm As FirebaseMessaging
	Public MyFCMToken As String
	Public ImHere As Timer
	Public FCM_KEY As String = ""
	Public MessType, MessNickName, MessFCMToken,MessMessage, MessFrom As String
	
	Public ChatsMap As Map
	
	Public MyName As String ="Klaus12345"
	Public MyIp, MyNickname As String
	
	Public MySocket As ServerSocket
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	fm.Initialize("fm")
	MyFCMToken=fm.Token
	Log (MyFCMToken)
	Subscribe
	ImHere.Initialize("ImHere",10000)
	ImHere.Enabled=True
	ChatsMap.Initialize
	
	MySocket.Initialize(0,"")
	MyIp=MySocket.GetMyWifiIP
	If MyIp.StartsWith("127") Then
		MyIp=MySocket.GetMyIP
	End If
	If MyIp.StartsWith("127") Then
		CallSubDelayed(Main,"NoInternet")
	End If
	
	MyNickname=MyName&"_"&MyIp
	Log(MyNickname)
	
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Public Sub Subscribe
	'you can subscribe to more topics
	fm.SubscribeToTopic("all")
End Sub


Sub ImHere_Tick
	
	'CallSubDelayed3(Main,"NewMess","System","Sending NickName" & MyNickname)
	 ImHere.Enabled=False
	
	Dim data As Map = CreateMap("MessType":"ImHere","NickName":  MyNickname,"FCMToken":  MyFCMToken)
 '	SendMessageToTopic("all", data)
	
End Sub

Sub Service_Destroy

End Sub
